%global __requires_exclude ^pear\\(gda.*\\)

%define	pkgname	libgda
%define api     5.0

%define dirver		5.0
%define oname		gda
%define	major		4
%define gi_major	5.0

%define libname		%mklibname %{oname} %{api} %{major}
%define libnamedev	%mklibname -d %{oname}%{api}
%define girname		%mklibname %{oname}-gir %{gi_major}
%define girname_ui	%mklibname %{oname}ui-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNU Data Access
Name: 		%{pkgname}%{api}
Version:	5.2.8
Release:	%mkrel 1
License: 	GPLv2+ and LGPLv2+
Group: 		Databases
URL:            http://www.gnome-db.org/
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
Patch0:		libgda-5.1.2-fix-str-fmt.patch
Patch2:		libgda-5.2.8-system-sqlcipher.patch
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.16
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-no-export-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(goocanvas-2.0)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(json-glib-1.0)
#BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(libgvc)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	db-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(sqlite3) >= 3.6.11
BuildRequires:	pkgconfig(sqlcipher)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	readline-devel
BuildRequires:	libgee-devel
BuildRequires:	intltool >= 0.35.5
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	locales
BuildRequires:	gobject-introspection-devel >= 0.6.5
BuildRequires:	yelp-tools
Requires:	iso-codes

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

Drivers for the supported databases are included in the gda2.0-* packages.

%package -n %{libname}
Summary:	GNU Data Access Development
Group: 		System/Libraries
Requires:	%{name} >= %{version}
Requires:	%{name}-sqlite >= %{version}

%description -n	%{libname}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{libnamedev}
Summary:	GNU Data Access Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Provides:	gda%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.


%package postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description postgres
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA PostgreSQL provider.

%package mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description mysql
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MySQL provider.

%package bdb
Summary:	GDA Berkeley Database Provider
Group:		Databases
Requires:	%{name} = %{version}

%description bdb
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA Berkeley Database provider.

%package sqlite
Summary:	GDA sqlite Provider
Group:		Databases
Requires:	%{name} = %{version}

%description sqlite
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA sqlite provider.

%prep
%setup -q -n %{pkgname}-%{version}
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--enable-introspection=yes \
	--enable-system-sqlite \
	--with-bdb=%{_prefix} \
	--with-bdb-libdir-name=%{_lib}
%make_build

%install
%make_install

# remove unneeded files
find %{buildroot} -name '*.la' -delete

%find_lang %{pkgname}-%{api} --with-gnome --all-name

%files -f %{pkgname}-%{api}.lang
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_sysconfdir}/libgda-%{dirver}
%config(noreplace) %{_sysconfdir}/libgda-%{dirver}/sales_test.db
%config(noreplace) %{_sysconfdir}/libgda-%{dirver}/config
%{_datadir}/applications/gda-browser-%{api}.desktop
%{_datadir}/applications/gda-control-center-%{api}.desktop
%{_datadir}/pixmaps/gda*
%{_datadir}/icons/hicolor/*/apps/gda-control-center.*
%{_datadir}/libgda-%{dirver}
%dir %{_libdir}/libgda-%{dirver}
%dir %{_libdir}/libgda-%{dirver}/plugins
%dir %{_libdir}/libgda-%{dirver}/providers
%{_libdir}/libgda-%{dirver}/plugins/*.xml
%{_libdir}/libgda-%{dirver}/plugins/libgda-ui-plugins.so
%{_libdir}/libgda-%{dirver}/providers/libgda-web.so
%{_libdir}/libgda-%{dirver}/providers/libgda-sqlcipher.so
%{_libdir}/libgda-%{dirver}/providers/libgda-ldap.so
%{_libdir}/libgda-%{dirver}/providers/libgda-firebird-client.so
%{_datadir}/appdata/gda-browser-5.0.appdata.xml
%{_datadir}/help

%{_datadir}/glade/catalogs/gdaui-catalog.xml
%{_datadir}/glade/pixmaps/widget-gdaui-gdauibasicform.png
%{_datadir}/glade/pixmaps/widget-gdaui-gdauicombo.png
%{_datadir}/glade/pixmaps/widget-gdaui-gdauigrid.png
%{_datadir}/glade/pixmaps/widget-gdaui-gdauilogin.png
%{_datadir}/glade/pixmaps/widget-gdaui-gdauirawgrid.png

%files -n %{libname}
%{_libdir}/libgda-%{api}.so.%{major}*
%{_libdir}/libgda-report-%{api}.so.%{major}*
%{_libdir}/libgda-ui-%{api}.so.%{major}*
%{_libdir}/libgda-xslt-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Gda-%{gi_major}.typelib
%{_libdir}/girepository-1.0/Gdaui-%{gi_major}.typelib



%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/libgda-%{dirver}/
%doc %{_datadir}/gtk-doc/html/gda-browser/
%{_libdir}/libgda-%{api}.so
%{_libdir}/libgda-report-%{api}.so
%{_libdir}/libgda-ui-%{api}.so
%{_libdir}/libgda-xslt-%{api}.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Gda-%{api}.gir
%{_datadir}/gir-1.0/Gdaui-%{api}.gir

%files sqlite
%{_libdir}/libgda-%{dirver}/providers/libgda-sqlite.so

%files postgres
%{_libdir}/libgda-%{dirver}/providers/libgda-postgres.so

%files bdb
%{_libdir}/libgda-%{dirver}/providers/libgda-bdb.so

%files mysql
%{_libdir}/libgda-%{dirver}/providers/libgda-mysql.so


%changelog
* Mon Jan 14 2019 tex - 5.2.8-1pclos2019
- 5.2.8
